Skip to main content
PATCH
/
waap
/
v1
/
domains
/
{domain_id}
/
settings
Update Domain Settings
curl --request PATCH \
  --url https://api.gcore.com/waap/v1/domains/{domain_id}/settings \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "ddos": {
    "global_threshold": 25125,
    "burst_threshold": 5015
  },
  "api": {
    "is_api": true,
    "api_urls": [
      "api/v1/.*",
      "v2/.*"
    ]
  }
}
'
{
  "type": "http-bad-request",
  "title": "Bad Request",
  "status": 400,
  "detail": "Invalid domain name: ''''"
}

Authorizations

Authorization
string
header
required

API key for authentication. Make sure to include the word apikey, followed by a single space and then your token. Example: apikey 1234$abcdef

Path Parameters

domain_id
integer
required

The domain ID

Body

application/json

Represents the editable settings for a domain.

ddos
UpdateDomainDdosSettings · object

Editable DDoS settings for a domain.

api
UpdateApiSettings · object

Editable API settings of a domain

Response

Successful Response